local planet = settings.startup["aps-planet"].value

if planet == "nauvis" then return end

if planet == "fulgora" then
    local tech = data.raw.technology["scrap-recycling-productivity"]
    tech.name = tech.name .. "-4"
    data.raw.technology["scrap-recycling-productivity"] = nil
    data.raw.technology[tech.name] = tech
end

for _, technology in pairs(data.raw.technology) do
    local prerequisites = technology.prerequisites
    if prerequisites then
        for i = #prerequisites, 1, -1 do
            if prerequisites[i] == "planet-discovery-" .. planet then
                table.remove(prerequisites, i)
                break
            end
        end
    end
end

local technology = data.raw.technology["planet-discovery-" .. planet]
if technology.effects then
    for _, effect in pairs(technology.effects) do
        if effect.type == "unlock-recipe" then
            data.raw.recipe[effect.recipe].enabled = true
        end
    end
end